Subject: Problem for generating IBIS model for diff. input buffer

From: [email-masked]
Date: Fri, 16 Jan 1998 10:32:51 -0700

Hello,

Let me describe what I am doing:

I have a variable threshold input buffer with a bias pin and
input pin.  I am trying to generate an ibis model for this pad.

I am treating this as a differential input buffer with input pin
as diff_pin and bias pin as inv_pin.  In .s2i file it looks like this:

[Pin]
1  vdd   VCC     POWER
2  gnd   GND     GND 
4  in    in      lsvc03
5  ref   ref     dummy
|
[Diff pin]
|
4  5  200mv  0  0  0
|
|
| Model defination
|
[Model] lsvc03 
[Model type] Input
[polarity] non-inverting 
[Vinl] 0.8v
[Vinh] 2.0v
[Model file] model.typ	 model.min   model.max

The ref pin is a bias pin which is set at 40% of VDD.

After I generate IBIS model, I see power and ground clamp data in 
the model, but it writes some crazy values for vinl and vinh which 
are as:

|************************************************************************
|                              Model lsvc03
|************************************************************************
|
[Model]          lsvc03
Model_type       Input
Polarity         Non-Inverting
Vinl =4.651e-309V
Vinh =9.301e-309V
C_comp           5.00pF              5.00pF              5.00pF

What I am not able to get it is how this values of vinl and vinh
are put out there after ibis model is generated.  It looks really
bogus numbers. (Originally in .s2i I had defined them as vinl=0.8v
and vinh=2.0 , just guess values).   Is it s2ibis calcualting these
values and putting it there?

Is that what s2ibis suppose to do or it should copy down the values
that you have defined in .s2i file.

I tried to look into email archives on WEB, but couldn't find 
anything that can help me.

Any suggestion or help is welcome.

Thanks in advance.

_______________________________________________________________
  Harish Patel                       VLSI Technology, Inc. 
  Sr. Design Engineer                Computing Solutions Group
  [email-masked]        8375 S River Parkway
  602-752-6202/Fax:602-752-6002      Tempe, Arizona 85284                                                
_______________________________________________________________

A policy is a temporary creed liable to be changed, but while
it holds good it has to be pursued with apostolic zeal. 
                                            -- Mahatma Gandhi